Package org.apache.sysds.runtime.instructions.gpu.context

# Class GPUMemoryManager.EvictionPolicyBasedComparator

java.lang.Object
org.apache.sysds.runtime.instructions.gpu.context.GPUMemoryManager.EvictionPolicyBasedComparator

All Implemented Interfaces:
  `Comparator<GPUObject>`

Enclosing class:
  GPUMemoryManager

public static class GPUMemoryManager.EvictionPolicyBasedComparator extends Object implements Comparator<GPUObject>
Class that governs the eviction policy

## Constructor Summary

Constructors
Constructor
Description
`EvictionPolicyBasedComparator(long neededSize)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(GPUObject p1, GPUObject p2)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### EvictionPolicyBasedComparator

public EvictionPolicyBasedComparator(long neededSize)

## Method Details

### compare

public int compare(GPUObject p1, GPUObject p2)

Specified by:
  `compare` in interface `Comparator<GPUObject>`